package RMIShape;
import java.rmi.*;
import java.net.*;
import java.rmi.registry.Registry;
import java.rmi.registry.LocateRegistry;

//import java.rmi.server.UnicastRemoteObject;
public class ShapeListServer 
{
	public static void main(String args[]){
         //System.setSecurityManager(new RMISecurityManager());

		//String portNum = Integer.toString(BankInterface.RMIPort), registryURL;
		String portNum = Integer.toString(1099), registryURL;
		String host;
		System.out.println("Main OK");
		try
		{   
			// code for obtaining RMI port number value omitted
			//BankInterfaceImplement exportedObj = new BankInterfaceImplement();
			ShapeList aShapelist = new ShapeListServant();

			startRegistry(1099);
			// register the object under the name "some"
			if (args.length>0)
			{
				host=args[0];
			}
			else
			{
				host="localhost";
			}
				
			registryURL = "rmi://"+ host+ ":" + portNum + "/RMIShape";
			Naming.rebind(registryURL, aShapelist);
			System.out.println("shape list server ready.");
		}// end try
		catch (Exception re) 
		{
			System.out.println("Exception in main: " + re);
		} // end catch
	} // end main













		//SocketPermission p1=new SocketPermission("localhost:1099", "accept, connect, listen, resolve");
/*        
        try{
            ShapeList aShapelist = new ShapeListServant();
            System.out.println("After create");
			//Naming.rebind("RMIShape", aShapelist); 
			Naming.bind("rmi://jena.cs.concordia.ca:1099/RMIShape", aShapelist); 

	            System.out.println("ShapeList server ready");
        }catch(Exception e) {
            System.out.println("ShapeList server main " + e.getMessage());
        }
    }
*/
	// This method starts a RMI registry on the local host, if it
	// does not already exist at the specified port number.
	private static void startRegistry(int RMIPortNum)
		throws RemoteException
	{
		try 
		{
			Registry registry = LocateRegistry.getRegistry(RMIPortNum);
			registry.list( );  
			// The above call will throw an exception
			
		}// if the registry does not already exist
		catch (RemoteException ex) 
		{
			// No valid registry at that port.
			System.out.println(
				"RMI registry cannot be located at port " 
				+ RMIPortNum);
			Registry registry = LocateRegistry.createRegistry(RMIPortNum);
			System.out.println(
				"RMI registry created at port " + RMIPortNum);
		}
	} // end startRegistry

}
